|
Menu location |
---|
Part → Create Primitives → Circle |
Workbenches |
Part, OpenSCAD |
Default shortcut |
None |
Introduced in version |
- |
See also |
.. |
Descriere
Un element primitiv geometric este Circle care este disponibil din dialogul Create Primitives în Atelierul de lucru Part.
Această comandă va crea o muchie curbată circulară. Cu valorile implicite, muchia curbată circulară va fi închisă și, prin urmare, va fi un cerc. Dacă proprietățile Unghi 0 sau Unghi 1 sunt modificate din valorile implicite (0 și 360) marginea va fi o curbă deschisă, un arc de cerc.
A Part Circle is in fact a closed counterclockwise circular arc, it can be turned into an arc by changing its DateAngle1 and/or DateAngle2 properties.
Usage
See Part Primitives.
A Part Circle can alternatively be created by selecting three points:
- In the task panel of the
Part Primitives command select the
Circle option from the dropdown list.
- Press the From three points button.
- Select three vertices in the 3D view. There is no need to hold down the Ctrl key.
- A circle is created.
- The selected vertices are only used at creation time to calculate the DateRadius and DatePlacement of the circle.
Example

A Part Circle object created with the scripting example below is shown here.
Proprietăți
Crearea unui cerc sau a unui arc de cerc parametric.
Utilizăm meniul Crea primitive... → Cerchio. Și apare o fereastră de dialog. Se deschide un dialog care vă permite să setați:
Primitive Geometrice
![]() |
Cercul Parametri
|
See also: Property editor.
A Part Circle object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:
Data
Attachment
The object has the same attachment properties as a Part Part2DObject.
Base
- Radius: raza muchiei curbate (arc or circle)
- Angle 0: Unghiul de pornire a muchiei curbate, (degrees anti-clockwise), valoara implictă este 0
- Angle 1: Unghiul de capăt al muchiei curbate, (degrees sens antiorar/trigonometric), valoarea implictă este 360
Scripting
See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.
A Part Circle can be created with the addObject()
method of the document:
circle = FreeCAD.ActiveDocument.addObject("Part::Circle", "myCircle")
- Where
"myCircle"
is the name for the object. - The function returns the newly created object.
Example:
import FreeCAD as App
doc = App.activeDocument()
circle = doc.addObject("Part::Circle", "myCircle")
circle.Radius = 10
circle.Angle1 = 45
circle.Angle2 = 225
circle.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(30, 45, 10))
doc.recompute()
Această pagină este preluată de la https://wiki.freecad.org/Part_Circle